# Class TagSelector
A structure to select a tag from a TagList.

All Subcl's | AutoSeqFormat
Defined in | <seqan/basic.h>
Signature | `template <typename TTagList> struct TagSelector;`

## Template Parameters

`TTagList` | A tag list.

## Interface Function Overview

- `bool tagSelectIntersect(outTagList, inTagList);`
  Selects a tag in a TagSelector based on the selected tag of another TagSelector if that same tag exists in the destination.

## Member Variable Overview

- `T TagSelector::tagId`
  Stores the index of a Tag in the tag list.

## Interface Functions Detail

### `bool tagSelectIntersect(outTagList, inTagList);`

Selects a tag in a TagSelector based on the selected tag of another TagSelector if that same tag exists in the destination.

#### Parameters

`outTagList` | The TagSelector file format a tag will be selected for
`inTagList` | The TagSelector object where to read the sequence information into.

#### Returns

`VALUE` | `true` if the selected tag of inTagList is available in outTagList and `false` otherwise.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Member Variables Detail

### `T TagSelector::tagId`

Stores the index of a Tag in the tag list.

#### Dox Sources

    /*!
     * @class TagSelector
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief A structure to select a tag from a @link TagList @endlink.
     *
     * @signature template <typename TTagList> struct TagSelector;
     *
     * @tparam TTagList A tag list.
     *
     * @var T TagSelector::tagId;
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Stores the index of a Tag in the tag list.
     *
     * @fn TagSelector#tagSelectIntersect
     *
     * @brief Selects a tag in a @link TagSelector @endlink based on the selected
     *        tag of another TagSelector if that same tag exists in the destination.
     *
     * @signature bool tagSelectIntersect(outTagList, inTagList);
     *
     * @param[out] outTagList The @link TagSelector @endlink file format a tag will
     *                        be selected for
     * @param[in] inTagList The @link TagSelector @endlink object where to read the
     *                      sequence information into.
     *
     * @return VALUE <tt>true</tt> if the selected tag of inTagList is available in
     *               outTagList and <tt>false</tt> otherwise.
     */